/* Para el body de la página */
html, body {
    margin: 0;
    padding: 0;
    font-family: "Poppins",sans-serif;
    font-weight: 600;
    line-height: 1.2em;
    letter-spacing: -0.75px;
    overflow-x: hidden;

}
body {
    margin: 0;
    padding: 0;
    background-color: #f0f0f0;
}
 /*imagen de carga*/
 #loading-screen {
    background-color: #ffffff;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    transition: opacity 1s ease;
  }

  #fotocarga {
    max-width: 100px;
  }
  
  .hidden {
    display: none;
  }
  #fotocarga,#logoinicio{
    width:30%;
  }
.dropdown {
    display: flex; 
    align-items: center; 
    justify-content: space-between; 
    padding: 10px; 
    background-color: #f0f0f0; 
}
a{
    text-decoration: none;
    color: #1c1c1c;
}
/* Estilos para los enlaces */
.dropdown-content {
    display: flex; /* Utiliza el modelo de caja flexible para los enlaces */
    gap: 10px; /* Espacio entre los enlaces */
}
.dropdown-button {
    visibility: hidden;
}

.logosuperior{
    width: 20%;
    margin-top: 6px;
}
.dropdown{
    background-color: hsl(0, 0%, 100%);
}
.dropdown-content{
    display: flex;
    flex-direction: row;
    margin-right: auto;
    background-color: #ffffff;
}
.dropdown-content a{
    margin-right:39px;
    padding: 10px;
    border-radius: 13px;
    transition: background-color 0.3s ease, padding 0.3s ease;
}

.dropdown-content a:hover {
    font-weight: 600;
    color:  #363636;
    background: linear-gradient(to right, #a49af7,#9abff7);
    padding: 12px;
    box-shadow: 0 0 0 100vmax rgba(0, 0, 0, 0.1);
    top: 0;
    right: 0;
    bottom: 0;
}

@media screen and (max-width: 650px) {
    h1{
        position: absolute;
        top: 0;
        right: 0;
        padding-right: 40px;
        font-size: xx-large;
    }   
    .dropdown {
        position: relative;
        display: inline-block;
        margin: 0px;
        margin-bottom: 0;
        width: 100%;
    }

    .dropdown-button {  
        visibility: visible;
        background-color: #33333300;
        color: rgb(0, 0, 0);
        padding: 0px;
        border: none;
        cursor: pointer;
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .dropdown-content {
        display: none;
        position: absolute;
        background: linear-gradient(to right, #363636, #262627);
        border-radius: 5px;
        gap: 2rem;
        min-width: 260px;
        box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
        z-index: 1;
    }

    .dropdown-content a {
        color: rgb(198, 198, 198);
        padding: 22px 16px;
        text-decoration: none;
        display: block;
        transition: background-color 0.3s ease, padding 0.3s ease;
    }

    .dropdown-content a:hover {
        color:  #363636;
        background: linear-gradient(to right, #a49af7,#9abff7);
        padding: 28px 22px;
        width: 90%;
        box-shadow: 0 0 0 100vmax rgba(0, 0, 0, .5);
        top: 0;
        right: 0;
        bottom: 0;
    }

    .dropdown.show .dropdown-content {
        display: block;
    }

    .dropdown-button::before {
        content: "\2261";
        font-size: 3em;
        transition: content 0.3s es;
    }

    .dropdown.show .dropdown-button::before {
        content: "\00D7";
    }
    .logosuperior {
        position: absolute;
        top: 0;
        right: 60px; 
    }
    .logosuperior{
        margin-right: auto;
        margin-top: 10px;
        width: 113px;
    }
}
/*ranndom*/
#mensajeFlotante {
    text-align: center;
     width: 70%;
     height: auto;
     position: fixed;
     top: 50%;
     left: 50%;
     transform: translate(-50%, -50%);
     background-color: rgb(0, 0, 0);
     box-shadow: 0 0 0 100vmax rgba(47, 47, 47, 0.777);
     color: rgb(194, 194, 194);
     padding: 20px;
     border-radius: 15px;
     z-index: 9999;
     display: none; /* Lo mantenemos oculto inicialmente */
 }
 #mensajeFlotante p{
    margin-left: 5%;
    text-align: start;
    margin-bottom: 2%;
 }
 #mensajeFlotantePremium p{
    margin-left: 5%;
    text-align: start;
    margin-bottom: 4%;
 }
 .descripcion{
    margin-left: 29px;
    text-align: start;
    font-size: 85%;
    color: #f0f0f087;
    font-weight: 500;
 }
 #mensajeFlotante li,#mensajeFlotantePremium li{
    padding: 0%;
    margin: 0 auto;
    margin-left: 5%;
 }
 #mensajeFlotantePremium{
    text-align: center;
     width: 70%;
     height: auto;
     position: fixed;
     top: 50%;
     left: 50%;
     transform: translate(-50%, -50%);
     background-color: rgb(0, 0, 0);
     box-shadow: 0 0 0 100vmax rgba(47, 47, 47, 0.777);
     color: rgb(194, 194, 194);
     padding: 20px;
     border-radius: 15px;
     z-index: 9999;
     display: none; /* Lo mantenemos oculto inicialmente */
 }
 #mensajeFlotante h3,#mensajeFlotantePremium h3{
     color: #f0f0f0;
 }
 .linea {
     display: flex;
     flex-direction: column;
     margin-left: 23%;
     margin-right: 23%;
     width: auto;
     height: 2px;
     background-color: #a49af7;
     box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.2);
     animation: reducir  2s infinite;
   }
   .linea1 {
     display: flex;
     flex-direction: column;
     margin-left: 23%;
     margin-right: 23%;
     width: auto;
     height: 2px;
     background-color: #a49af7;
     box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.2);
     animation: reducir  2s infinite;
     margin-top:2%;
     margin-bottom:0;
   }
 
 @keyframes reducir {
     0% {
         opacity: 1;
         transform: scaleX(1);
     }50%{
         opacity: 0.4; 
         transform: scaleX(0.9);
     }
     100% {
         opacity: 1; 
         transform: scaleX(1);
     }
 }
 /* Contenedor principal */

.container {
    width: 100%;
    height: auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin: auto;
    margin-top: 1%;
    margin-bottom: 1%;
}

/* Tarjetas */
.container .card1,
.container .card {
    width: 330px;
    border-radius: 8px;
    box-shadow: 0 2px 2px rgba(0, 0, 0, 0.2);
    overflow: hidden;
    margin: 20px;
    text-align: center;
    transition: all 0.25s;
}
.card{
    margin-bottom:98%;
}
.container .card1:hover,
.container .card:hover {
    transform: translateY(-15px);
    box-shadow: 0 12px 16px rgba(0, 0, 0, 0.2);
}

.container .card1 img,
.container .card img {
    width: 330px;
    height: 220px;
}

.container .card1 h4,
.container .card h4 {
    font-weight: 600;
}

.container .card1 p,
.container .card p {
    padding: 0 1rem;
    font-size: 16px;
    font-weight: 300;
}

.container .card1 a,
.container .card a {
    font-weight: 500;
    text-decoration: none;
    color: #3498db;
}

/* Botón Ver Carta */

.botonvercarta{
    display: inline-block;
    border-radius: 4px;
    background: linear-gradient(to right, #a49af7, #9abff7);
    border: none;
    color: #FFFFFF;
    text-align: center;
    font-size: 17px;
    padding: 16px;
    width: 130px;
    transition: all 0.5s;
    cursor: pointer;
    margin: 5px;
}
.botonvolver{
    display: inline-block;
    border-radius: 4px;
    background: linear-gradient(to right, #a49af7, #9abff7);
    border: none;
    color: #FFFFFF;
    text-align: center;
    font-size: 17px;
    padding: 12px;
    width: 110px;
    transition: all 0.5s;
    cursor: pointer;
    margin: 5px;
}
.botonvercarta span {
    cursor: pointer;
    display: inline-block;
    position: relative;
    transition: 0.5s;
}

.botonvercarta span:after {
    content: '»';
    position: absolute;
    opacity: 0;
    top: 0;
    right: -15px;
    transition: 0.5s;
}

.botonvercarta:hover span{
    padding-right: 15px;
}

.botonvercarta:hover span:after {
    opacity: 1;
    right: 0;
}
.botonvercarta,.botonvolver{
    margin-bottom: 30px;
    font-family: "Poppins",sans-serif;
    color: #ffffff;
    font-weight: 600;
    line-height: 1.2em;
    letter-spacing: -0.75px;
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.2);
  }
/*Texto chapa*/
.experiencias{
    color: #a49af7;
  }
  .nombrechapa{
    line-height: 1.1;
    text-align: start;
    font-size: 227%;
    margin-left: 4%;
    margin-right: 2%;
  }
.imagencachimba,.imagencachimbamovil{
    width:100%;
    margin: 0 auto; 
    display:flex;
    display: flex;
    justify-content: center;
    align-items: center;
}
.chapa p{
    font-family: "Poppins",sans-serif;
    margin-left: 4%;
    margin-right: 4%;
    margin-top: 0%;
}
.chapa{
    margin-top:3%;
    max-width: 80%; 
    margin: 0 auto; 
    background-color: #ffffff; 
    padding: 20px; 
}
.chapa{
    width: 100%;
    font-family: "Poppins",sans-serif;
    color: #0b214a;
    font-weight: 500;
    line-height: 1.8em;
    letter-spacing: -0.75px;
  }
/*bebidas y cocteles*/
.bebidas{
    text-align: center;
    color: #0b214a;
    margin-bottom: 4%;
}
.linea{
    margin-bottom: 3%;
}
.menubebidas h2{
    width: 46%;
    margin: 0 auto;
    color: #ffffff;
    background: linear-gradient(to right, #a49af7, #9abff7);
    box-shadow: 0 10px 10px rgba(38, 102, 110, 0.347);
    border-radius: 15px;
    padding: 3%;
}
.menubebidas{
    text-align: center;
    margin: 0 auto;
    padding-top: 5%;
    padding-bottom: 10%;
    width: 90%;
    height: auto;
    background-color: rgb(0, 0, 0);
    box-shadow: 0 20px 20px rgba(58, 58, 58, 0.68);
    color: rgb(194, 194, 194);
    border-radius: 15px;
}
.cocteles{
    padding-bottom: 10%;
}
/*footer*/
footer {
    margin-top: 50px;
    padding-bottom:4%;
    background-color: #000000;
    color: #fff;
    text-align: center;
    width: 100%;
    height: auto;
  }
  footer img{
    margin-top: 4%;
    width: 13%;
  }
  footer a img{
    margin: 0;
    width: 100%;
    gap: 20%;
  }
  footer a img{
    width: 50px;
  }
  
  #telefono{
    display: flex;
    flex-direction: column;
  }
  .telefono{
    text-decoration: none;
    color:#ffffff;
    margin-top: 2%;
    margin-bottom: 3%;
  }
  #iconofooter{
    margin-bottom: 4%;
  }
  .personal a{
    margin-top:7%;
    font-size: 56%;
    text-decoration: none;
    color:#a49af7;
  }
  #iconofooter img:hover {
    transform: scale(0.8);
  }
  /*lista de productos*/
  
  .menu {
    max-width: 140%;
    margin: 0 auto;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}
.menu2 {
    margin-left:5% ;
    margin-right: 5%;
}
ul {
    list-style-type: none;
    padding: 0;
}
.menu li {
    font-size:1.3rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: #ffffff;
  }
.menu2 li {
    font-size:1.3rem;
    margin: 6%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: #ffffff;
  }
  .nombrecamember {
    font-size:1.2rem;
    margin: 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: #ffffff;
  }
  /*ordenadores */
  @media screen and (min-width: 769px) {
    .descripcion{
        font-size: 1.2rem;
        margin-left: 54px;
        margin-right: 54px;
    }
  }
  
.precio {
    color: #a49af7; /* Color naranja para el precio */
}

/*Slide*/
.image-container {
    margin-top: 2%;
    overflow: hidden;
    width: 100%; 
    white-space: nowrap;
    overflow-x: visible; 
    display: flex; 
    padding-bottom: 5%;
}
.image-container::-webkit-scrollbar {
    width: 1px; /* Ancho de la barra de desplazamiento */
}

.image-container::-webkit-scrollbar-thumb {
    margin-top: 2%;
    background: linear-gradient(to right, #a49af7, #9abff7);
    border-radius: 6px; /* Radio de esquinas de la barra de desplazamiento */
}

.image-container::-webkit-scrollbar-track {
    background: rgba(0, 0, 0, 0.1); /* Color de fondo de la barra de desplazamiento */
}

.image-container img {
    width: 400px; 
    height: 300px; 
    margin-left: 10%;
    margin-right: 10%; 
    object-fit: cover; 
    box-shadow: 0 20px 40px rgba(0, 0, 0, 0.8); /* Sombreado más oscuro */

}